Generate Face-To-Face Validation Link
- Sandbox:
POST https://sandbox.payme.io/api/scanovate/flows/{flow_id}
- Production:
POST https://live.payme.io/api/scanovate/flows/{flow_id}
Credentials
No credentials are documented for this endpoint.
Overview
This API endpoint is internal and will allow us to generate links per individual.
Limitations
- Once the individual completed the flow successfully, a new flow will not be accessible anymore for that individual.
- If the API request does not include a
national_id an exception flow will be initiated, presenting the following error:
{
"status_code": 1,
"status_error_details": "Required parameter is missing",
"status_additional_info": "national_id",
"status_error_code": 1
}
Parameters
| Name |
In |
Type |
Required |
Description |
PayMe-Merchant-Key |
header |
string |
yes |
The MPL of the seller. |
flow_id |
path |
string |
yes |
|
Request body
Content type: application/json
| Field |
Type |
Required |
Description |
name |
string |
no |
|
national_id |
integer |
no |
|
Request example
{
"name": "example",
"national_id": 310012345
}
Code samples
curl
curl -X POST 'https://sandbox.payme.io/api/scanovate/flows/<flow_id>' \
-H 'Content-Type: application/json' \
-H 'PayMe-Merchant-Key: <PayMe-Merchant-Key>' \
--data-raw '{
"name": "example",
"national_id": 310012345
}'
Node.js
const response = await fetch("https://sandbox.payme.io/api/scanovate/flows/<flow_id>", {
method: "POST",
headers: {
"Content-Type": "application/json",
"PayMe-Merchant-Key": "<PayMe-Merchant-Key>",
},
body: JSON.stringify({
"name": "example",
"national_id": 310012345
}),
});
console.log(await response.text());
Python
import requests
response = requests.post(
"https://sandbox.payme.io/api/scanovate/flows/<flow_id>",
headers={
"PayMe-Merchant-Key": "<PayMe-Merchant-Key>",
},
json={
"name": "example",
"national_id": 310012345,
},
)
print(response.text)
PHP
<?php
$body = <<<'BODY'
{
"name": "example",
"national_id": 310012345
}
BODY;
$ch = curl_init('https://sandbox.payme.io/api/scanovate/flows/<flow_id>');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'PayMe-Merchant-Key: <PayMe-Merchant-Key>',
],
CURLOPT_POSTFIELDS => $body,
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
Responses
200 — OK (success)
| Field |
Type |
Description |
flowLink |
string |
The flow link that the user will be using to complete the flow. |
processId |
string |
Process ID to get the results once the flow is completed. |
sid |
string |
The unique token that will allow us to get the results. |
status_code |
integer |
0 - Success 1 - Failure |
{
"flowLink": "https://payme.page.link/vietDKQpJ4AcVo3HA",
"processId": "e96cd655-8df7-4403-8f1b-1fa9a29ab3a6",
"sid": "NFrINUBMYDHt1GBjqnRXUbLM/Qn4crNJqGqor ECxcyXgQKeSGu/daEE6PLP4ML8JEdq3mTRe5RyUj3jvlg86SuhVGR12jtPhvHAXSS8fkUnCeCnrXZtcYSZL7f5fKrfZHVaFibl3cNlxB1wfpf/lXzaa 7H7WcBXc86qKesDps=",
"status_code": 0
}
500 — Process Already Completed (error)
| Field |
Type |
Description |
status_code |
integer |
|
status_error_details |
string |
|
status_additional_info |
string |
|
status_error_code |
integer |
|
session |
string |
|
{
"status_code": 1,
"status_error_details": "אנא צרו קשר עם שירות הלקוחות",
"status_additional_info": "Scan Status: Completed Successfully",
"status_error_code": 2,
"session": "IWhrq0Bl"
}